const system=require("../../system");
const Dao=require("../dao.base");
class AttachmentDao extends Dao{
  constructor(){
    super(Dao.getModelName(AttachmentDao));
  }
  async create(trade,attachmentObj,t){
    var att= await this.model.create(attachmentObj,{transaction:t});
    att.setTrade(trade);
    return att;
  }
}
module.exports=AttachmentDao;
